/****************************************************************************
** Form implementation generated from reading ui file 'ui/MQChk_ui.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "MQChk_ui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a mqchk_dialog_UI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
mqchk_dialog_UI::mqchk_dialog_UI( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "mqchk_dialog_UI" );
    setMinimumSize( QSize( 320, 240 ) );
    mqchk_dialog_UILayout = new QVBoxLayout( this, 4, 6, "mqchk_dialog_UILayout"); 

    group_mchk_type = new QButtonGroup( this, "group_mchk_type" );
    group_mchk_type->setMinimumSize( QSize( 0, 0 ) );
    group_mchk_type->setColumnLayout(0, Qt::Vertical );
    group_mchk_type->layout()->setSpacing( 6 );
    group_mchk_type->layout()->setMargin( 4 );
    group_mchk_typeLayout = new QVBoxLayout( group_mchk_type->layout() );
    group_mchk_typeLayout->setAlignment( Qt::AlignTop );

    radio_quick = new QRadioButton( group_mchk_type, "radio_quick" );
    radio_quick->setChecked( TRUE );
    group_mchk_typeLayout->addWidget( radio_quick );

    radio_adv = new QRadioButton( group_mchk_type, "radio_adv" );
    group_mchk_typeLayout->addWidget( radio_adv );
    mqchk_dialog_UILayout->addWidget( group_mchk_type );

    layout92 = new QHBoxLayout( 0, 0, 6, "layout92"); 

    textS0 = new QLabel( this, "textS0" );
    textS0->setMinimumSize( QSize( 60, 0 ) );
    textS0->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    layout92->addWidget( textS0 );

    combo_chk_spd = new QComboBox( FALSE, this, "combo_chk_spd" );
    combo_chk_spd->setMinimumSize( QSize( 130, 0 ) );
    layout92->addWidget( combo_chk_spd );
    spacer36 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout92->addItem( spacer36 );

    push_spd_detect = new QPushButton( this, "push_spd_detect" );
    push_spd_detect->setMinimumSize( QSize( 80, 0 ) );
    layout92->addWidget( push_spd_detect );
    mqchk_dialog_UILayout->addLayout( layout92 );

    layout93 = new QHBoxLayout( 0, 0, 6, "layout93"); 

    textS1 = new QLabel( this, "textS1" );
    textS1->setMinimumSize( QSize( 60, 0 ) );
    textS1->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    layout93->addWidget( textS1 );

    text_chk_spd = new QLabel( this, "text_chk_spd" );
    text_chk_spd->setMinimumSize( QSize( 100, 0 ) );
    layout93->addWidget( text_chk_spd );
    spacer36_2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout93->addItem( spacer36_2 );

    push_chk = new QPushButton( this, "push_chk" );
    push_chk->setMinimumSize( QSize( 80, 0 ) );
    layout93->addWidget( push_chk );
    mqchk_dialog_UILayout->addLayout( layout93 );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );
    mqchk_dialog_UILayout->addWidget( line1 );

    textR = new QLabel( this, "textR" );
    mqchk_dialog_UILayout->addWidget( textR );

    text_result = new QLabel( this, "text_result" );
    text_result->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 0, text_result->sizePolicy().hasHeightForWidth() ) );
    text_result->setFrameShape( QLabel::StyledPanel );
    text_result->setFrameShadow( QLabel::Sunken );
    text_result->setAlignment( int( QLabel::AlignTop ) );
    mqchk_dialog_UILayout->addWidget( text_result );
    languageChange();
    resize( QSize(320, 240).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( combo_chk_spd, SIGNAL( activated(const QString&) ), this, SLOT( change_chk_spd(const QString&) ) );
    connect( push_chk, SIGNAL( clicked() ), this, SLOT( mchk_start() ) );
    connect( radio_quick, SIGNAL( toggled(bool) ), this, SLOT( quick_toggled(bool) ) );
    connect( radio_adv, SIGNAL( toggled(bool) ), this, SLOT( adv_toggled(bool) ) );
    connect( push_spd_detect, SIGNAL( clicked() ), this, SLOT( detect_wr_spd() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
mqchk_dialog_UI::~mqchk_dialog_UI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void mqchk_dialog_UI::languageChange()
{
    setCaption( tr( "Media Quality Check" ) );
    group_mchk_type->setTitle( tr( "Check Type" ) );
    radio_quick->setText( tr( "Q&uick (simulation)" ) );
    radio_quick->setAccel( QKeySequence( tr( "Alt+U" ) ) );
    radio_adv->setText( tr( "Advanced (OPC area &writing)" ) );
    radio_adv->setAccel( QKeySequence( tr( "Alt+W" ) ) );
    textS0->setText( tr( "Speed:" ) );
    push_spd_detect->setText( tr( "&Detect" ) );
    push_spd_detect->setAccel( QKeySequence( tr( "Alt+D" ) ) );
    textS1->setText( tr( "Current:" ) );
    text_chk_spd->setText( QString::null );
    push_chk->setText( tr( "&Check" ) );
    push_chk->setAccel( QKeySequence( tr( "Alt+C" ) ) );
    textR->setText( tr( "Check result:" ) );
    text_result->setText( QString::null );
}

void mqchk_dialog_UI::change_chk_spd(const QString&)
{
    qWarning( "mqchk_dialog_UI::change_chk_spd(const QString&): Not implemented yet" );
}

void mqchk_dialog_UI::mchk_start()
{
    qWarning( "mqchk_dialog_UI::mchk_start(): Not implemented yet" );
}

void mqchk_dialog_UI::quick_toggled(bool)
{
    qWarning( "mqchk_dialog_UI::quick_toggled(bool): Not implemented yet" );
}

void mqchk_dialog_UI::adv_toggled(bool)
{
    qWarning( "mqchk_dialog_UI::adv_toggled(bool): Not implemented yet" );
}

void mqchk_dialog_UI::detect_wr_spd()
{
    qWarning( "mqchk_dialog_UI::detect_wr_spd(): Not implemented yet" );
}

